J'aimerais créer un exercice sur latex avec un énonceé général puis 2 ou plusieurs questions qui se suivent, al
sein d'un QCM normal. Et de préférence que cet exercice ne soit pas toujours a la méme place dans le
devoir.

Merci

History

02/05/2025 06:55 pm - Frédéric Bréal
> J'aimerais créer un exercice sur latex avec un énoncé général puis 2 ou plusieurs questions qui se suivent, au sein d'un QCM normal.

Je ne comprends pas. Par question, vous entendez des questions ouvertes @AMCOpen@ et QCM normal uniquement les cases a cocher ?

02/06/2025 12:07 pm - Eudoxie Lafferayrie
Frédéric Bréal wrote:
> > J'aimerais créer un exercice sur latex avec un énoncé général puis 2 ou plusieurs questions qui se suivent, au sein d'un QCM normal.

> Je ne comprends pas. Par question, vous entendez des questions ouvertes @AMCOpen@ et QCM normal uniquement les cases a cocher ?

L'un ou l'autre. Prenons I'exemple avec juste des gcm:
q1) A= (des propositions...)

g2) B= (des propositions...)

Exercice: Les 2 questions suivantes sont liées. Soit C=
g3) la forme développée de C est (des propositions...)

g4) C= (des propositions...)

et on enchaine sur d'autres questions non liées. Et j'aimerais que les questions g3 g4 puissent bouger de place dans le sujet tout en restant I'une
derriere l'autre. Actuellement je fais des groupes de questions mais elles sont toujours soit a la fin soit au début. et je note I'énoncé dans g3, je n'arrive

pas a le noter avant seul

02/06/2025 01:50 pm - Alexis Bienveniie
- Tracker changed from Bug to Support

02/06/2025 01:52 pm - Alexis Bienveniie
Souhaitez-vous que g3 et g4 soient toujours dans cet ordre ou doivent-elles étre mélangées (tout en restant I'une derriére l'autre) ?

02/06/2025 02:01 pm - Eudoxie Lafferayrie
Alexis Bienvenue wrote:

> Souhaitez-vous que q3 et g4 soient toujours dans cet ordre ou doivent-elles étre mélangées (tout en restant I'une derriere l'autre) ?

Mélangées tout en restant I'une derriére l'autre. Merci beaucoup

02/06/2025 07:56 pm - Frédéric Bréal

Je ferais un groupe avec les 2 questions liées.
<pre>

\element{liees}{

Enoncé
\begin{question}

\begin{quesion}
1

</pre>

Ensuite vous mélangez ce groupe avec les autres groupes voir la documentation : fin du paragraphe Groupes de questions.

<pre>
\cleargroup{tout}
\copygroup{GA}{tout}
\copygroup{GB}{tout}
\restituegroupeftout}

</pre>
